gnutls_session_set_data(3)

NAME
gnutls_session_set_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_set_data(gnutls_session_t session, const void * session_data, size_t session_data_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const void * session_data
    is a pointer to space to hold the session.

size_t session_data_size
    is the session's size

DESCRIPTION
Sets all session parameters, in order to resume a previously established session. The session data given must be the one returned by gnutls_session_get_data(). This function should be called before gnutls_handshake().

Keep in mind that session resuming is advisory. The server may choose not to resume the session, thus a full handshake will be performed.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/